import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getKillhouseGuildsPermissionService = createAsyncThunk(
  "GET_KILLHOUSE_GUILDS_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("allow_register_guilds_total/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
